---
title: "Delete contact"
url: https://docs.gleap.ai/en/reference/rest-api/delete-s2s-contacts-userid
method: DELETE
path: "/s2s/contacts/{userId}"
api: "API Reference"
tag: "S2S Contacts"
operationId: "Remove"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Delete contact

`DELETE https://api.gleap.io/v3/s2s/contacts/{userId}`

Delete a contact and their conversations (the platform's standard contact deletion — same behaviour as the admin API).

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `userId` (string, required)

## Example request

```bash
curl --request DELETE \
  --url 'https://api.gleap.io/v3/s2s/contacts/{userId}' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

- `status` (string, required)

```json
{
  "status": "string"
}
```
